﻿Public Class Form1
    Private Sub ButtonCalculate_Click(sender As Object, e As EventArgs) Handles ButtonCalculate.Click
        Dim birthDate As DateTime

        If DateTime.TryParse(TextBoxBirthDate.Text, birthDate) Then
            Dim today As DateTime = DateTime.Now
            Dim daysLived As Integer = (today - birthDate).Days

            Dim physical As Double = Math.Sin((2 * Math.PI * daysLived) / 23)
            Dim emotional As Double = Math.Sin((2 * Math.PI * daysLived) / 28)
            Dim intellectual As Double = Math.Sin((2 * Math.PI * daysLived) / 33)

            LabelPhysical.Text = "Physical: " & Math.Round(physical * 100, 2) & "%"
            LabelEmotional.Text = "Emotional: " & Math.Round(emotional * 100, 2) & "%"
            LabelIntellectual.Text = "Intellectual: " & Math.Round(intellectual * 100, 2) & "%"
        Else
            MessageBox.Show("Please enter a valid date (e.g., MM/DD/YYYY).")
        End If
    End Sub
End Class
